API ReferenceAdmin Benefits
Create
Authorization
AdminSession AuthorizationBearer <token>
Admin session token returned by POST /auth/login, sent as 'Authorization: Bearer '.
In: header
Query Parameters
applicationId*integer
mode*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X POST "https://example.com/api/v1/admin/benefits?applicationId=0&mode=TEST" \ -H "Content-Type: application/json" \ -d '{ "lookupKey": "string", "name": "string" }'{
"data": {
"id": 0,
"lookupKey": "string",
"name": "string",
"metadata": "string",
"active": true,
"mode": "TEST",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
},
"meta": {
"success": true,
"message": "string",
"errorCode": "RESOURCE_NOT_FOUND",
"timestamp": "2019-08-24T14:15:22Z"
},
"pagination": {
"page": 0,
"size": 0,
"totalElements": 0,
"totalPages": 0
}
}